%define upstream_name    Catalyst-DispatchType-Regex
%define upstream_version 5.90035

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    LocalRegexp DispatchType
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::SimpleTable)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
*Status: Deprecated.* Regex dispatch types have been depreciated and
removed from Catalyst core. It is recommend that you use Chained methods or
other techniques instead. As part of the refactoring, the dispatch priority
of Regex vs Regexp vs LocalRegex vs LocalRegexp may have changed. Priority
is now influenced by when the dispatch type is first seen in your
application.

Dispatch type managing path-matching behaviour using regexes. For more
information on dispatch types, see:

* * the Catalyst::Manual::Intro manpage for how they affect application
  authors

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 5.900.350-5.mga8
+ Revision: 1493053
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 5.900.350-4.mga7
+ Revision: 1265946
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 5.900.350-3.mga6
+ Revision: 1022856
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 5.900.350-2.mga6
+ Revision: 967497
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 5.900.350-1.mga6
+ Revision: 849109
- update to 5.90035

* Wed Oct 15 2014 umeabot <umeabot> 5.900.330-4.mga5
+ Revision: 739908
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.900.330-3.mga5
+ Revision: 683770
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 5.900.330-2.mga4
+ Revision: 536989
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 5.900.330-1.mga4
+ Revision: 486116
- update to 5.90033

* Tue Jun 11 2013 jquelin <jquelin> 5.900.320-1.mga4
+ Revision: 441910
- adding missing buildrequires:
- imported package perl-Catalyst-DispatchType-Regex


* Tue Jun 04 2013 cpan2dist 5.90032-1mga
- initial mageia release, generated with cpan2dist
